Skip to main content
GET
/
api
/
v2
/
external
/
vms
/
{vm_id}
/
status
Get Vm Status
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/vms/{vm_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "vm_id": "<string>",
  "status": "<string>",
  "instance_specs": {},
  "created_at": "2023-11-07T05:31:56Z",
  "ip_address": "<string>",
  "uptime_seconds": 123,
  "billed": 123,
  "hardware_profile": "<string>",
  "gpu_count": 123,
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Path Parameters

vm_id
string
required

Response

Successful Response

Response model for VM status.

vm_id
string
required
status
string
required
instance_specs
Instance Specs · object
required
created_at
string<date-time>
required
ip_address
string | null
uptime_seconds
integer | null
billed
number | null
hardware_profile
string | null
gpu_count
integer | null
name
string | null